ドキュメント

​
​

Development

User Acquisition

Monetization

産業

Remote Config Client API

v1

サポート対象
​

Remote Config Client API

v1

サポート対象
​

このページは選択した言語では使用できません。
Unity Services Web APIs
​
​
mdx:openapi:endpoints
  • Settings

Remote Config Client API

Download OpenAPI specification:

Get Player Settings


Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer

Query parameters for "{title}"

projectId

string
必須
projectId for the requesting Unity project

environmentId

string
optional environmentId to choose a non-default environment

configType

string
optional configType

key

array
optional filter to include settings with keys containing any of the specified values

type

array
optional filter to include settings with specific types in the response

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://config.unity3d.com//api/v1/settings"

Response example

{ "configs": { "settings": { "backgroundColor": "blue", "bossHealth": 223 } }, "metadata": { "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "assignmentId": "1c1e8bd4-c044-424f-89c6-d5bc654129e3", "configAssignmentHash": "7da21d376edba70e13c7b9f80ce232b372b5d0b1" }}

Request Player Settings with optional attributes for use in campaign (game overrides).


Request body for "{title}"

Media Type:
application/json

projectId

string
必須
example: 4bab2f9d-07a9-46f4-86a9-9b4fbdc29ac2
The projectId for the requesting Unity project.

userId

string
必須
example: 0cb3fbaa-e66f-4919-9bb2-cbc2aa5a13af
The userID for the user requesting settings.

customUserId

string
example: myUserID
An optional custom userID.

environmentId

string
example: 9ea5c0b7-6452-4b1b-aae3-521117ac5da3
An optional environmentID to choose a non-default environment.

configType

string
example: settings
An optional configType. Defaults to 'settings'

configAssignmentHash

string
example: 8209cd827d25f9f16f18f3e7b39f568857439133
An optional config assignment hash to retrieve a specific config

key

array[string]
example: ["key1","key2"]
An optional array of filters for including settings with keys containing any of the specified values

type

array[string]
example: ["json","int","bool"]
An optional array of filters for including settings with specific types

isDebugBuild

boolean
example: false
Should be set to 'true' when the request is coming from a debug build.

packageVersion

string
example: 2.1.1
Used to specify what Remote Config package version sent the request.

attributionMetadata

string
Used to specify the origin of the request for attribution.

attributes

object
example: {"unity":{"appVersion":"1.0","appBuildVersion":"23","country":"US","cpu":"Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz","cpuFrequency":"3100","graphicsDeviceVendor":"Apple","language":"en","osVersion":"Mac OS X 10.14.4","platform":"macOS","ram":8192,"model":"Macbook Pro 13","timeSinceStart":60000},"app":{},"user":{}}
Used to specify attributes of the requesting app and user for use in rules.

unity

object
example: {"appVersion":"1.0","appBuildVersion":"23","country":"US","cpu":"Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz","cpuFrequency":"3100","graphicsDeviceVendor":"Apple","language":"en","osVersion":"Mac OS X 10.14.4","platform":"macOS","ram":8192,"model":"Macbook Pro 13","timeSinceStart":60000}
Attributes retrieved by Unity.

appVersion

string
example: 1.0
No description

appBuildVersion

string
example: 23
No description

country

string
example: US
No description

cpu

string
example: Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz
No description

cpuFrequency

string
example: 3100
No description

graphicsDeviceVendor

string
example: NVIDIA
No description

language

string
example: en
No description

osVersion

string
example: Mac OS X 10.14.4
No description

platform

string
example: macOS
No description

ram

integer
example: 8192
No description

model

string
example: Macbook Pro 13
No description

timeSinceStart

integer
example: 60000
No description

app

object
example: {"myAppAttribute":"myValue"}
Custom attributes for the app.

user

object
example: {"userName":"coolUser27"}
Custom attributes related to the user.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "projectId": "4bab2f9d-07a9-46f4-86a9-9b4fbdc29ac2", "userId": "0cb3fbaa-e66f-4919-9bb2-cbc2aa5a13af", "customUserId": "myUserID", "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "configType": "settings", "key": [ "key1", "key2" ], "type": [ "json", "int", "bool" ], "isDebugBuild": true, "packageVersion": "2.1.1", "attributionMetadata": "{}", "attributes": { "unity": { "appVersion": "1.0", "appBuildVersion": "23", "country": "US", "cpu": "Intel(R) Core(TM) i7-7920 HQ CPU @ 3.10GHz", "cpuFrequency": "3100", "graphicsDeviceVendor": "Apple", "language": "en", "osVersion": "Mac OS X 10.14.4", "platform": "macOS", "ram": 8192, "model": "Macbook Pro 13", "timeSinceStart": 60000 }, "app": {}, "user": {} }}' \ "https://config.unity3d.com//api/v1/settings"

Response example

{ "configs": { "settings": { "backgroundColor": "blue", "bossHealth": 223 } }, "metadata": { "environmentId": "9ea5c0b7-6452-4b1b-aae3-521117ac5da3", "assignmentId": "1c1e8bd4-c044-424f-89c6-d5bc654129e3", "configAssignmentHash": "7da21d376edba70e13c7b9f80ce232b372b5d0b1" }}

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。